/* Bluefish HTML Editor
 * config.h - system specific stuff
 *
 * Copyright (C) 1998 Olivier Sessink and Chris Mazuc
 * Copyright (C) 1999-2000 Olivier Sessink
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/* do you have imlib? */
#undef HAVE_LIBGDK_IMLIB
/* gdk_pixbuf? */
#undef HAVE_GDK_PIXBUF

/* the following block of code defines three things:
HAVE_IMAGE_LIBS --> or gdk_pixbuf or imlib is supported
USE_GDK_PIXBUF --> use gdk_pixbuf
USE_LIBGDK_IMLIB --> use imlib
*/
#ifdef HAVE_GDK_PIXBUF
#define HAVE_IMAGE_LIBS
#ifdef HAVE_LIBGDK_IMLIB
#define USE_LIBGDK_IMLIB
#else
#define USE_GDK_PIXBUF
#endif /* HAVE_LIBGDK_IMLIB */
#else /* !HAVE_GDK_PIXBUF */
#ifdef HAVE_LIBGDK_IMLIB
#define USE_LIBGDK_IMLIB
#define HAVE_IMAGE_LIBS
#endif /* HAVE_LIBGDK_IMLIB */
#endif /* HAVE_GDK_PIXBUF */

/* header files */
#ifndef HAVE_STDLIB_H /* supress warning when jconfig.h is included */
#undef HAVE_STDLIB_H 
#endif /* HAVE_STDLIB_H */

#undef HAVE_UNISTD_H 
#undef HAVE_STRING_H 
#undef HAVE_ERRNO_H 
#undef HAVE_STDIO_H 
#undef HAVE_SYS_STAT_H 
#undef HAVE_CTYPE_H 
#undef HAVE_GETOPT_H 
#undef HAVE_MATH_H 
#undef HAVE_TIME_H 
#undef HAVE_SYS_TYPES_H 
#undef HAVE_FCNTL_H 
#undef HAVE_NETDB_H 
#undef HAVE_NETINET_IN_H 
#undef HAVE_SYS_SOCKET_H 
#undef HAVE_ARPA_INET_H 
#undef HAVE_DIRENT_H
#undef HAVE_SYS_SELECT_H

#undef HAVE_MALLOC_H
#undef HAVE_NL_TYPES_H
#undef HAVE_ALLOCA_H
#undef HAVE_SYS_IPC_H

/* Do we use the embedded Perl interpreter? */
#undef PERL

/* Are we running under WIN32? */
#undef WIN32

/* Define if you have the ANSI C header files.  */
#undef STDC_HEADERS

/* Define if you have alloca, as a function or macro.  */
#undef HAVE_ALLOCA

/* Define if using alloca.c.  */
#undef C_ALLOCA

/* where is weblint? */
#undef WEBLINT_COMMAND 

/* where is netscape? */
#undef WHERE_IS_NETSCAPE 

#undef NETSCAPE_COMMAND

/* where is Tidy ? */

#undef WHERE_IS_TIDY

#undef TIDY_COMMAND 

/* how to run the mighnight commander ? */

#undef WHERE_IS_MC

#undef WHERE_IS_RXVT

#undef MC_COMMAND

/* required for advanced open */
#undef PATH_TO_FIND
#undef PATH_TO_GREP

/* ~/.bluefish/rcfile defaults */

#undef RCFILE_DEFAULTS

/* do we have GTK > 1.2. where x>7 ? */
#undef GTK_GT_7 

/* prefix */
/* removed #undef PREFIX */

/* pkgdatadir */
/* removed #undef PKGDATADIR */

/* the package name */
#undef PACKAGE 

/* the package version */
#undef VERSION 

/* the current package name and version */
#undef CURRENT_VERSION_NAME

/* debugging output */
#undef DEBUG

/* use native language support */
#undef ENABLE_NLS
#undef HAVE_STPCPY
#undef HAVE_LOCALE_H
#undef HAVE_LC_MESSAGES


/* With internal viewer */
#undef WITH_INTERNAL_PREVIEW

/* with splash screen */
#undef NOSPLASH

/* with spell-checker ? */
#define WITH_SPC

#ifdef WITH_SPC
/* where is ispell ? */
#undef ISPELL_COMMAND

/* Define to the type of arg1 for select(). */
#undef SELECT_TYPE_ARG1

/* Define to the type of args 2, 3 and 4 for select(). */
#undef SELECT_TYPE_ARG234

/* Define to the type of arg5 for select(). */
#undef SELECT_TYPE_ARG5
#undef TIME_WITH_SYS_TIME

#endif

/* Is attrpage selected? */
#undef ATTRPAGE

/* is Autocompletion selected? */
#undef AUTOCOMPLET
